---
- name: "Get id group {{gitlab_project_name}}"
  set_fact:
    gitlab_project_group_id: "{{ groups_list_output.json|json_query('[?full_path==`' + gitlab_project_group_path + '`].id')|join }}"

- name: "Create project {{gitlab_project_name}}"
  uri:
    url: "{{ gitlab_external_url }}/api/{{ gitlab_api_version }}/projects"
    method: "POST"
    headers:
      PRIVATE-TOKEN: "{{ gitlab_admin_token }}"
    body: "name={{ gitlab_project_name }}&namespace_id={{ gitlab_project_group_id }}"
    body_format: raw
    validate_certs: "{{ gitlab_validate_certs }}"
    return_content: True
    status_code: 201
  changed_when: true
